package com.ruoyi.bst.chat.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.validate.ValidGroup;
import com.sun.org.apache.xpath.internal.operations.Bool;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 聊天记录列表对象 bst_chat
 *
 * @author ruoyi
 * @date 2025-05-23
 */
@Data
public class Chat extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "发送人ID")
    @ApiModelProperty("发送人ID")
    private Long sendId;

    @Excel(name = "队伍ID")
    @ApiModelProperty("队伍ID")
    @NotNull(message = "队伍ID不能为空",groups = ValidGroup.Create.class)
    private Long teamId;

    @Excel(name = "消息类型 1-文本 2-图片 3-视频")
    @ApiModelProperty("消息类型 1-文本 2-图片 3-视频")
    @NotNull(message = "消息类型不能为空",groups = ValidGroup.Create.class)
    private String type;


    @Excel(name = "内容")
    @ApiModelProperty("内容")
    @NotBlank(message = "内容不能为空",groups = ValidGroup.Create.class)
    private String content;

}
