package com.ruoyi.bst.chat.mapper;

import java.util.List;
import com.ruoyi.bst.chat.domain.Chat;
import com.ruoyi.bst.chat.domain.ChatVO;
import com.ruoyi.bst.chat.domain.ChatQuery;
import org.apache.ibatis.annotations.Param;
import org.springframework.security.core.parameters.P;

/**
 * 聊天记录列表Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-23
 */
public interface ChatMapper
{
    /**
     * 查询聊天记录列表
     *
     * @param id 聊天记录列表主键
     * @return 聊天记录列表
     */
    ChatVO selectChatById(Long id);

    /**
     * 查询聊天记录列表列表
     *
     * @param query 聊天记录列表
     * @return 聊天记录列表集合
     */
    List<ChatVO> selectChatList(@Param("query")ChatQuery query);

    /**
     * 新增聊天记录列表
     *
     * @param chat 聊天记录列表
     * @return 结果
     */
    int insertChat(Chat chat);

    /**
     * 批量新增聊天记录列表
     */
    int batchInsert(@Param("list") List<? extends Chat> list);

    /**
     * 批量修改聊天记录列表
     */
    int batchUpdate(@Param("list") List<? extends Chat> list);

    /**
     * 修改聊天记录列表
     *
     * @param chat 聊天记录列表
     * @return 结果
     */
    public int updateChat(@Param("data") Chat chat);

    /**
     * 删除聊天记录列表
     *
     * @param id 聊天记录列表主键
     * @return 结果
     */
    int deleteChatById(Long id);

    /**
     * 批量删除聊天记录列表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatByIds(Long[] ids);



    List<ChatVO> selectTeamMsgList(@Param("query") ChatQuery query);


}
