package com.ruoyi.bst.chat.service;

import java.util.List;
import com.ruoyi.bst.chat.domain.Chat;
import com.ruoyi.bst.chat.domain.ChatVO;
import com.ruoyi.bst.chat.domain.ChatQuery;

/**
 * 聊天记录列表Service接口
 *
 * @author ruoyi
 * @date 2025-05-23
 */
public interface ChatService
{
    /**
     * 查询聊天记录列表
     *
     * @param id 聊天记录列表主键
     * @return 聊天记录列表
     */
    public ChatVO selectChatById(Long id);

    /**
     * 查询聊天记录列表列表
     *
     * @param chat 聊天记录列表
     * @return 聊天记录列表集合
     */
    public List<ChatVO> selectChatList(ChatQuery chat);

    /**
     * 新增聊天记录列表
     *
     * @param chat 聊天记录列表
     * @return 结果
     */
    public int insertChat(Chat chat);

    /**
     * 修改聊天记录列表
     *
     * @param chat 聊天记录列表
     * @return 结果
     */
    public int updateChat(Chat chat);

    /**
     * 批量删除聊天记录列表
     *
     * @param ids 需要删除的聊天记录列表主键集合
     * @return 结果
     */
    public int deleteChatByIds(Long[] ids);

    /**
     * 删除聊天记录列表信息
     *
     * @param id 聊天记录列表主键
     * @return 结果
     */
    public int deleteChatById(Long id);

    int sendMessage(Chat chat);

    int batchInsert(List<Chat> chats);



    void sendWelcomeMessage(Long teamId, Long userId);

    List<ChatVO> selectTeamMsgList(ChatQuery query);

    ChatVO selectOne(ChatQuery query);
}
