package com.ruoyi.bst.chat.service.impl;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.app.service.AppAssembler;
import com.ruoyi.bst.chat.domain.ChatVO;
import com.ruoyi.bst.chat.service.ChatAssembler;
import com.ruoyi.bst.chatMsg.domain.ChatMsg;
import com.ruoyi.bst.chatMsg.domain.ChatMsgQuery;
import com.ruoyi.bst.chatMsg.domain.ChatMsgVO;
import com.ruoyi.bst.chatMsg.service.ChatMsgService;
import com.ruoyi.common.core.domain.vo.UserVO;
import com.ruoyi.common.domain.vo.LongIntegerVO;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.system.user.domain.UserQuery;
import com.ruoyi.system.user.service.UserService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class ChatAssemblerImpl implements ChatAssembler {


    private final ChatMsgService chatMsgService;

    public ChatAssemblerImpl(ChatMsgService chatMsgService) {
        this.chatMsgService = chatMsgService;
    }

    @Override
    public void assembleUnReadCount(List<ChatVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }
        List<Long> chatIds = list.stream().map(ChatVO::getId).collect(Collectors.toList());
        ChatMsgQuery query = new ChatMsgQuery();
        query.setChatIds(chatIds);
        query.setIsRead(false);
        Map<Long,Integer> unReadNumMap = chatMsgService.selectCountGroupByChatId(query)
                .stream().collect(Collectors.toMap(LongIntegerVO::getKey, LongIntegerVO::getValue));


        for (ChatVO chat : list) {
            Integer unReadNum = unReadNumMap.get(chat.getId());
            chat.setUnReadNum(unReadNum);
        }
    }

}
