package com.ruoyi.bst.chatMsg.domain;

import java.time.LocalDateTime;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 聊天消息列表对象 bst_chat_msg
 *
 * @author ruoyi
 * @date 2025-05-26
 */
@Data
public class ChatMsg extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "聊天ID")
    @ApiModelProperty("聊天ID")
    private Long chatId;

    @Excel(name = "接收人ID")
    @ApiModelProperty("接收人ID")
    private Long userId;

    @Excel(name = "是否已读 0-未读 1-已读")
    @ApiModelProperty("是否已读 0-未读 1-已读")
    private Boolean isRead;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "读取时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("读取时间")
    private LocalDateTime readTime;

}
