package com.ruoyi.bst.chatMsg.mapper;

import java.util.List;

import com.ruoyi.bst.chat.domain.ChatQuery;
import com.ruoyi.bst.chat.domain.ChatVO;
import com.ruoyi.bst.chatMsg.domain.ChatMsg;
import com.ruoyi.bst.chatMsg.domain.ChatMsgVO;
import com.ruoyi.bst.chatMsg.domain.ChatMsgQuery;
import com.ruoyi.common.domain.vo.LongIntegerVO;
import org.apache.ibatis.annotations.Param;

/**
 * 聊天消息列表Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-26
 */
public interface ChatMsgMapper
{
    /**
     * 查询聊天消息列表
     *
     * @param id 聊天消息列表主键
     * @return 聊天消息列表
     */
    ChatMsgVO selectChatMsgById(Long id);

    /**
     * 查询聊天消息列表列表
     *
     * @param query 聊天消息列表
     * @return 聊天消息列表集合
     */
    List<ChatMsgVO> selectChatMsgList(@Param("query")ChatMsgQuery query);

    /**
     * 新增聊天消息列表
     *
     * @param chatMsg 聊天消息列表
     * @return 结果
     */
    int insertChatMsg(ChatMsg chatMsg);

    /**
     * 批量新增聊天消息列表
     */
    int batchInsert(@Param("list") List<? extends ChatMsg> list);

    /**
     * 批量修改聊天消息列表
     */
    int batchUpdate(@Param("list") List<? extends ChatMsg> list);

    /**
     * 修改聊天消息列表
     *
     * @param chatMsg 聊天消息列表
     * @return 结果
     */
    public int updateChatMsg(@Param("data") ChatMsg chatMsg);

    /**
     * 删除聊天消息列表
     *
     * @param id 聊天消息列表主键
     * @return 结果
     */
    int deleteChatMsgById(Long id);

    /**
     * 批量删除聊天消息列表
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteChatMsgByIds(Long[] ids);

    int retractMessage(@Param("chatId") Long chatId);

    int selectCount(@Param("query") ChatMsgQuery query);

    int updateByQuery(@Param("data") ChatMsg data, @Param("query") ChatMsgQuery query);

    List<LongIntegerVO> selectCountGroupByChatId(@Param("query") ChatMsgQuery query);

    List<ChatVO> selectTeamUnReadCount(@Param("query") ChatMsgQuery query);
}
