package com.ruoyi.bst.chatMsg.service;

import java.util.List;

import com.ruoyi.bst.chat.domain.ChatQuery;
import com.ruoyi.bst.chat.domain.ChatVO;
import com.ruoyi.bst.chatMsg.domain.ChatMsg;
import com.ruoyi.bst.chatMsg.domain.ChatMsgVO;
import com.ruoyi.bst.chatMsg.domain.ChatMsgQuery;
import com.ruoyi.common.domain.vo.LongIntegerVO;

/**
 * 聊天消息列表Service接口
 *
 * @author ruoyi
 * @date 2025-05-26
 */
public interface ChatMsgService
{
    /**
     * 查询聊天消息列表
     *
     * @param id 聊天消息列表主键
     * @return 聊天消息列表
     */
    public ChatMsgVO selectChatMsgById(Long id);

    /**
     * 查询聊天消息列表列表
     *
     * @param chatMsg 聊天消息列表
     * @return 聊天消息列表集合
     */
    public List<ChatMsgVO> selectChatMsgList(ChatMsgQuery chatMsg);

    /**
     * 新增聊天消息列表
     *
     * @param chatMsg 聊天消息列表
     * @return 结果
     */
    public int insertChatMsg(ChatMsg chatMsg);

    /**
     * 修改聊天消息列表
     *
     * @param chatMsg 聊天消息列表
     * @return 结果
     */
    public int updateChatMsg(ChatMsg chatMsg);

    /**
     * 批量删除聊天消息列表
     *
     * @param ids 需要删除的聊天消息列表主键集合
     * @return 结果
     */
    public int deleteChatMsgByIds(Long[] ids);

    /**
     * 删除聊天消息列表信息
     *
     * @param id 聊天消息列表主键
     * @return 结果
     */
    public int deleteChatMsgById(Long id);

    int retractMessage(Long chatId);

    /**
     * 查询未读消息数量
     * @param query
     * @return
     */
    public int selectCount(ChatMsgQuery query);

    int read(Long userId, Long chatId);

    int batchInsert(List<ChatMsg> msgList);

    List<LongIntegerVO> selectCountGroupByChatId(ChatMsgQuery query);

    List<ChatVO> selectTeamUnReadCount(ChatMsgQuery query);
}
