package com.ruoyi.bst.goods.mapper;

import java.util.List;
import com.ruoyi.bst.goods.domain.Goods;
import com.ruoyi.bst.goods.domain.GoodsVO;
import com.ruoyi.bst.goods.domain.GoodsQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 商品Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface GoodsMapper
{
    /**
     * 查询商品
     *
     * @param id 商品主键
     * @return 商品
     */
    GoodsVO selectGoodsById(Long id);

    /**
     * 查询商品列表
     *
     * @param query 商品
     * @return 商品集合
     */
    List<GoodsVO> selectGoodsList(@Param("query")GoodsQuery query);

    /**
     * 新增商品
     *
     * @param goods 商品
     * @return 结果
     */
    int insertGoods(Goods goods);

    /**
     * 批量新增商品
     */
    int batchInsert(@Param("list") List<? extends Goods> list);

    /**
     * 批量修改商品
     */
    int batchUpdate(@Param("list") List<? extends Goods> list);

    /**
     * 修改商品
     *
     * @param goods 商品
     * @return 结果
     */
    public int updateGoods(@Param("data") Goods goods);

    /**
     * 删除商品
     *
     * @param id 商品主键
     * @return 结果
     */
    int deleteGoodsById(Long id);

    /**
     * 批量删除商品
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsByIds(Long[] ids);
}
