package com.ruoyi.bst.goodsCategory.mapper;

import java.util.List;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategory;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryVO;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryQuery;
import com.ruoyi.bst.store.domain.StoreQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 商品分类Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface GoodsCategoryMapper
{
    /**
     * 查询商品分类
     *
     * @param id 商品分类主键
     * @return 商品分类
     */
    GoodsCategoryVO selectGoodsCategoryById(Long id);

    /**
     * 查询商品分类列表
     *
     * @param query 商品分类
     * @return 商品分类集合
     */
    List<GoodsCategoryVO> selectGoodsCategoryList(@Param("query")GoodsCategoryQuery query);

    /**
     * 新增商品分类
     *
     * @param goodsCategory 商品分类
     * @return 结果
     */
    int insertGoodsCategory(GoodsCategory goodsCategory);

    /**
     * 批量新增商品分类
     */
    int batchInsert(@Param("list") List<? extends GoodsCategory> list);

    /**
     * 批量修改商品分类
     */
    int batchUpdate(@Param("list") List<? extends GoodsCategory> list);

    /**
     * 修改商品分类
     *
     * @param goodsCategory 商品分类
     * @return 结果
     */
    public int updateGoodsCategory(@Param("data") GoodsCategory goodsCategory);

    /**
     * 删除商品分类
     *
     * @param id 商品分类主键
     * @return 结果
     */
    int deleteGoodsCategoryById(Long id);

    /**
     * 批量删除商品分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGoodsCategoryByIds(Long[] ids);

    List<Long> selectIdByQuery(@Param("query") GoodsCategoryQuery query);
}
