package com.ruoyi.bst.goodsCategory.service;

import java.util.List;

import com.github.pagehelper.PageHelper;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategory;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryVO;
import com.ruoyi.bst.goodsCategory.domain.GoodsCategoryQuery;
import com.ruoyi.common.utils.collection.CollectionUtils;
import com.ruoyi.system.notice.domain.Notice;
import com.ruoyi.system.notice.domain.NoticeQuery;
import com.ruoyi.system.notice.domain.NoticeVO;

/**
 * 商品分类Service接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface GoodsCategoryService
{
    /**
     * 查询商品分类
     *
     * @param id 商品分类主键
     * @return 商品分类
     */
    public GoodsCategoryVO selectGoodsCategoryById(Long id);

    /**
     * 查询商品分类列表
     *
     * @param goodsCategory 商品分类
     * @return 商品分类集合
     */
    public List<GoodsCategoryVO> selectGoodsCategoryList(GoodsCategoryQuery goodsCategory);

    /**
     * 新增商品分类
     *
     * @param goodsCategory 商品分类
     * @return 结果
     */
    public int insertGoodsCategory(GoodsCategory goodsCategory);

    /**
     * 修改商品分类
     *
     * @param goodsCategory 商品分类
     * @return 结果
     */
    public int updateGoodsCategory(GoodsCategory goodsCategory);

    /**
     * 批量删除商品分类
     *
     * @param ids 需要删除的商品分类主键集合
     * @return 结果
     */
    public int deleteGoodsCategoryByIds(Long[] ids);

    /**
     * 删除商品分类信息
     *
     * @param id 商品分类主键
     * @return 结果
     */
    public int deleteGoodsCategoryById(Long id);

    public GoodsCategory selectOne(GoodsCategoryQuery query);

}
