package com.ruoyi.bst.spec.mapper;

import java.util.List;
import com.ruoyi.bst.spec.domain.Spec;
import com.ruoyi.bst.spec.domain.SpecVO;
import com.ruoyi.bst.spec.domain.SpecQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 商品规格项Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface SpecMapper
{
    /**
     * 查询商品规格项
     *
     * @param id 商品规格项主键
     * @return 商品规格项
     */
    SpecVO selectSpecById(Long id);

    /**
     * 查询商品规格项列表
     *
     * @param query 商品规格项
     * @return 商品规格项集合
     */
    List<SpecVO> selectSpecList(@Param("query")SpecQuery query);

    /**
     * 新增商品规格项
     *
     * @param spec 商品规格项
     * @return 结果
     */
    int insertSpec(Spec spec);

    /**
     * 批量新增商品规格项
     */
    int batchInsert(@Param("list") List<? extends Spec> list);

    /**
     * 批量修改商品规格项
     */
    int batchUpdate(@Param("list") List<? extends Spec> list);

    /**
     * 修改商品规格项
     *
     * @param spec 商品规格项
     * @return 结果
     */
    public int updateSpec(@Param("data") Spec spec);

    /**
     * 删除商品规格项
     *
     * @param id 商品规格项主键
     * @return 结果
     */
    int deleteSpecById(Long id);

    /**
     * 批量删除商品规格项
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSpecByIds(Long[] ids);
}
