package com.ruoyi.bst.spec.service;

import java.util.List;
import com.ruoyi.bst.spec.domain.Spec;
import com.ruoyi.bst.spec.domain.SpecVO;
import com.ruoyi.bst.spec.domain.SpecQuery;

/**
 * 商品规格项Service接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface SpecService
{
    /**
     * 查询商品规格项
     *
     * @param id 商品规格项主键
     * @return 商品规格项
     */
    public SpecVO selectSpecById(Long id);

    /**
     * 查询商品规格项列表
     *
     * @param spec 商品规格项
     * @return 商品规格项集合
     */
    public List<SpecVO> selectSpecList(SpecQuery spec);

    /**
     * 新增商品规格项
     *
     * @param spec 商品规格项
     * @return 结果
     */
    public int insertSpec(Spec spec);

    /**
     * 修改商品规格项
     *
     * @param spec 商品规格项
     * @return 结果
     */
    public int updateSpec(Spec spec);

    /**
     * 批量删除商品规格项
     *
     * @param ids 需要删除的商品规格项主键集合
     * @return 结果
     */
    public int deleteSpecByIds(Long[] ids);

    /**
     * 删除商品规格项信息
     *
     * @param id 商品规格项主键
     * @return 结果
     */
    public int deleteSpecById(Long id);
}
