package com.ruoyi.bst.specValue.mapper;

import java.util.List;
import com.ruoyi.bst.specValue.domain.SpecValue;
import com.ruoyi.bst.specValue.domain.SpecValueVO;
import com.ruoyi.bst.specValue.domain.SpecValueQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 商品规格值Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface SpecValueMapper
{
    /**
     * 查询商品规格值
     *
     * @param id 商品规格值主键
     * @return 商品规格值
     */
    SpecValueVO selectSpecValueById(Long id);

    /**
     * 查询商品规格值列表
     *
     * @param query 商品规格值
     * @return 商品规格值集合
     */
    List<SpecValueVO> selectSpecValueList(@Param("query")SpecValueQuery query);

    /**
     * 新增商品规格值
     *
     * @param specValue 商品规格值
     * @return 结果
     */
    int insertSpecValue(SpecValue specValue);

    /**
     * 批量新增商品规格值
     */
    int batchInsert(@Param("list") List<? extends SpecValue> list);

    /**
     * 批量修改商品规格值
     */
    int batchUpdate(@Param("list") List<? extends SpecValue> list);

    /**
     * 修改商品规格值
     *
     * @param specValue 商品规格值
     * @return 结果
     */
    public int updateSpecValue(@Param("data") SpecValue specValue);

    /**
     * 删除商品规格值
     *
     * @param id 商品规格值主键
     * @return 结果
     */
    int deleteSpecValueById(Long id);

    /**
     * 批量删除商品规格值
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSpecValueByIds(Long[] ids);
}
