package com.ruoyi.bst.specValue.service;

import java.util.List;
import com.ruoyi.bst.specValue.domain.SpecValue;
import com.ruoyi.bst.specValue.domain.SpecValueVO;
import com.ruoyi.bst.specValue.domain.SpecValueQuery;

/**
 * 商品规格值Service接口
 *
 * @author ruoyi
 * @date 2025-05-28
 */
public interface SpecValueService
{
    /**
     * 查询商品规格值
     *
     * @param id 商品规格值主键
     * @return 商品规格值
     */
    public SpecValueVO selectSpecValueById(Long id);

    /**
     * 查询商品规格值列表
     *
     * @param specValue 商品规格值
     * @return 商品规格值集合
     */
    public List<SpecValueVO> selectSpecValueList(SpecValueQuery specValue);

    /**
     * 新增商品规格值
     *
     * @param specValue 商品规格值
     * @return 结果
     */
    public int insertSpecValue(SpecValue specValue);

    /**
     * 修改商品规格值
     *
     * @param specValue 商品规格值
     * @return 结果
     */
    public int updateSpecValue(SpecValue specValue);

    /**
     * 批量删除商品规格值
     *
     * @param ids 需要删除的商品规格值主键集合
     * @return 结果
     */
    public int deleteSpecValueByIds(Long[] ids);

    /**
     * 删除商品规格值信息
     *
     * @param id 商品规格值主键
     * @return 结果
     */
    public int deleteSpecValueById(Long id);
}
