package com.ruoyi.bst.team.service.impl;

import com.ruoyi.bst.team.domain.TeamQuery;
import com.ruoyi.bst.team.domain.TeamVO;
import com.ruoyi.bst.team.service.TeamAssembler;
import com.ruoyi.bst.team.service.TeamService;
import com.ruoyi.bst.teamUser.domain.TeamUser;
import com.ruoyi.bst.teamUser.domain.TeamUserQuery;
import com.ruoyi.bst.teamUser.domain.TeamUserVO;
import com.ruoyi.bst.teamUser.domain.enums.RoleType;
import com.ruoyi.bst.teamUser.service.TeamUserAssembler;
import com.ruoyi.bst.teamUser.service.TeamUserService;
import com.ruoyi.common.utils.collection.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class TeamAssemblerImpl implements TeamAssembler {

    @Autowired
    private TeamUserService teamUserService;

    @Override
    public void assembleSponsor(List<TeamVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        List<Long> teamIds = CollectionUtils.map(list, TeamVO::getId);
        List<TeamUserVO> teamUserList = new ArrayList<>();
        TeamUserQuery query = new TeamUserQuery();
        query.setTeamIds(teamIds);
        query.setRole(RoleType.CREATOR.getCode());
        teamUserList = teamUserService.selectTeamUserList(query);

        Map<Long, TeamUserVO> teamUserMap = teamUserList.stream().collect(Collectors.toMap(TeamUserVO::getTeamId, TeamUserVO -> TeamUserVO));

        for (TeamVO team : list) {
            team.setSponsorId(teamUserMap.get(team.getId()).getUserId());
            team.setSponsorName(teamUserMap.get(team.getId()).getNickName());
        }
    }

}
