package com.ruoyi.bst.teamUser.service.impl;

import com.ruoyi.bst.model.domain.ModelVO;
import com.ruoyi.bst.team.domain.TeamQuery;
import com.ruoyi.bst.team.domain.TeamVO;
import com.ruoyi.bst.team.service.TeamService;
import com.ruoyi.bst.teamUser.domain.TeamUser;
import com.ruoyi.bst.teamUser.domain.TeamUserQuery;
import com.ruoyi.bst.teamUser.domain.TeamUserVO;
import com.ruoyi.bst.teamUser.domain.enums.UserStatus;
import com.ruoyi.bst.teamUser.service.TeamUserAssembler;
import com.ruoyi.bst.teamUser.service.TeamUserService;
import com.ruoyi.common.utils.collection.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Objects;
import java.util.stream.Collectors;

@Service
public class TeamUserAssemblerImpl implements TeamUserAssembler {

    @Autowired
    private TeamService teamService;


    @Override
    public void assembleTeam(List<TeamUserVO> list) {
        if (CollectionUtils.isEmptyElement(list)) {
            return;
        }

        List<Long> teamIds = CollectionUtils.map(list, TeamUserVO::getTeamId);
        List<TeamVO> teamList = new ArrayList<>();
        TeamQuery query = new TeamQuery();
        query.setTeamIds(teamIds);
        teamList = teamService.selectTeamList(query);
        Map<Long, TeamVO> teamMap = teamList.stream().collect(Collectors.toMap(TeamVO::getId, TeamVO -> TeamVO));

        for (TeamUserVO teamUser : list) {
            TeamVO team = teamMap.get(teamUser.getTeamId());
            teamUser.setTeam(team);
        }
    }

}
